Access Restriction Bypass Affecting org.apache.hadoop:hadoop-hdfs-client Open this link in a new tab package, versions [2.0.0-alpha, 2.10.1) [3.0.0-alpha1, 3.1.4) [3.2.0, 3.2.2)


0.0
high
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEHADOOP-1065272

  • published

    27 Jan 2021

  • disclosed

    27 Jan 2021

  • credit

    Unknown

How to fix?

Upgrade org.apache.hadoop:hadoop-hdfs-client to version 2.10.1, 3.1.4, 3.2.2 or higher.

Overview

org.apache.hadoop:hadoop-hdfs-client is an Apache Hadoop HDFS Client.

Affected versions of this package are vulnerable to Access Restriction Bypass. The WebHDFS client might send a SPNEGO authorisation header to a remote URL without proper verification. A malicious user could trigger services to send server credentials to a WebHDFS path thereby capturing the service principal.